#!/bin/bash

BASE_DIR=%DOCUMENT_ROOT%/WebAPIBridge/latest/webapibridge
TEMPLATE=${BASE_DIR}/share/apache2/wab_template.conf
APACHE2_CONF=/etc/apache2/sites-enabled
RUN_CERTBOT=${BASE_DIR}/libexec/run_certbot/run_certbot.sh

function Usage()
{
        echo "Usage: ./generate <domain> ..."
        exit -1
}

function MakeConf()
{
        local domain=$1

        sed "s|%DOMAIN%|${domain}|g" < ${TEMPLATE} > ${APACHE2_CONF}/api-${domain}.conf
}

if [ -z "$1" ]
then
        Usage
fi

while [ -n "$1" ]
do
        MakeConf "$1"
        shift
done


if apachectl configtest
then
	service apache2 restart

else
	echo "Warning: Apache syntax check failed: please check syntax of generated file."

fi
